[Openvpn-devel,v2] travis-ci: cleanup, refactor, upgrade ssl libraries

Message ID 20180527190057.3488-1-chipitsine@gmail.com
State Accepted
Headers show
Series
  • [Openvpn-devel,v2] travis-ci: cleanup, refactor, upgrade ssl libraries
Related show

Commit Message

Илья Шипицин May 27, 2018, 7 p.m.
Both "compiler" and "exclude" are redundant, so remove them.
Add openssl-1.0.1u to build matrix. Enable explicit apt update
(it was disabled by default in travis-ci).

Signed-off-by: Ilya Shipitsin <chipitsine@gmail.com>

--
v2: Add openssl-1.0.1u to build matrix (thanks to Steffan Karger),
Add explicit apt-get update (it was disabled by default in travis-ci)
---
---
 .travis.yml | 17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

Comments

Steffan Karger June 23, 2018, 6:02 a.m. | #1
Hi,

On 27-05-18 21:00, Ilya Shipitsin wrote:
> Both "compiler" and "exclude" are redundant, so remove them.
> Add openssl-1.0.1u to build matrix. Enable explicit apt update
> (it was disabled by default in travis-ci).
> 
> Signed-off-by: Ilya Shipitsin <chipitsine@gmail.com>
> 
> --
> v2: Add openssl-1.0.1u to build matrix (thanks to Steffan Karger),
> Add explicit apt-get update (it was disabled by default in travis-ci)
> ---
> ---
>  .travis.yml | 17 ++++++++---------
>  1 file changed, 8 insertions(+), 9 deletions(-)
> 
> diff --git a/.travis.yml b/.travis.yml
> index 51645924..216f0a04 100644
> --- a/.travis.yml
> +++ b/.travis.yml
> @@ -5,9 +5,6 @@ os: linux
>  
>  language: c
>  
> -compiler:
> -  - gcc
> -
>  env:
>    global:
>      - JOBS=3
> @@ -15,10 +12,10 @@ env:
>      - TAP_WINDOWS_VERSION=9.21.2
>      - LZO_VERSION=2.10
>      - PKCS11_HELPER_VERSION=1.22
> -    - MBEDTLS_VERSION="2.5.1"
> +    - MBEDTLS_VERSION="2.8.0"
>      - MBEDTLS_CFLAGS="-I${PREFIX}/include"
>      - MBEDTLS_LIBS="-L${PREFIX}/lib -lmbedtls -lmbedx509 -lmbedcrypto"
> -    - OPENSSL_VERSION="1.0.2l"
> +    - OPENSSL_VERSION="1.0.2o"
>      - OPENSSL_CFLAGS="-I${PREFIX}/include"
>      - OPENSSL_LIBS="-L${PREFIX}/lib -lssl -lcrypto"
>      # The next declaration is the encrypted COVERITY_SCAN_TOKEN, created
> @@ -30,13 +27,16 @@ matrix:
>      - env: SSLLIB="openssl" RUN_COVERITY="1"
>        os: linux
>        compiler: gcc
> -    - env: SSLLIB="openssl" OPENSSL_VERSION="1.1.0f"
> +    - env: SSLLIB="openssl" OPENSSL_VERSION="1.0.1u"
> +      os: linux
> +      compiler: gcc
> +    - env: SSLLIB="openssl" OPENSSL_VERSION="1.1.0h"
>        os: linux
>        compiler: gcc
>      - env: SSLLIB="openssl" CFLAGS="-fsanitize=address"
>        os: linux
>        compiler: clang
> -    - env: SSLLIB="openssl" OPENSSL_VERSION="1.1.0f"
> +    - env: SSLLIB="openssl" OPENSSL_VERSION="1.1.0h"
>        os: linux
>        compiler: clang
>      - env: SSLLIB="mbedtls"
> @@ -65,11 +65,10 @@ matrix:
>      - env: SSLLIB="openssl" EXTRA_CONFIG="--enable-small"
>        os: linux
>        compiler: clang
> -  exclude:
> -    - compiler: gcc
>  
>  addons:
>    apt:
> +    update: true
>      packages:
>        - liblzo2-dev
>        - libpam0g-dev
> 

Thanks.  This looks good to me.

Acked-by: Steffan Karger <steffan@karger.me>

-Steffan

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
Gert Doering June 23, 2018, 7:21 a.m. | #2
Your patch has been applied to the master branch.

commit c5108260b3699ab01638452ef3c9bef5193e265a
Author: Ilya Shipitsin
Date:   Mon May 28 00:00:57 2018 +0500

     travis-ci: cleanup, refactor, upgrade ssl libraries

     Signed-off-by: Ilya Shipitsin <chipitsine@gmail.com>
     Acked-by: Steffan Karger <steffan.karger@fox-it.com>
     Message-Id: <20180527190057.3488-1-chipitsine@gmail.com>
     URL: https://www.mail-archive.com/openvpn-devel@lists.sourceforge.net/msg16898.html
     Signed-off-by: Gert Doering <gert@greenie.muc.de>


--
kind regards,

Gert Doering


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
Antonio Quartulli June 24, 2018, 3:28 a.m. | #3
Hi,

On 28/05/18 03:00, Ilya Shipitsin wrote:
> -    - MBEDTLS_VERSION="2.5.1"
> +    - MBEDTLS_VERSION="2.8.0"

I know travis-ci currently is caching both the downloaded tarball and
the built library, therefore my question: what will happen to
mbedtls-2.5.1-*? Will that be wiped after some time? Or do we need to
wipe the cache manually?

Cheers,
Илья Шипицин June 24, 2018, 4:03 a.m. | #4
Someone who has admin rights, can purge the cache

On Sun, Jun 24, 2018, 8:28 AM Antonio Quartulli <a@unstable.cc> wrote:

> Hi,
>
> On 28/05/18 03:00, Ilya Shipitsin wrote:
> > -    - MBEDTLS_VERSION="2.5.1"
> > +    - MBEDTLS_VERSION="2.8.0"
>
> I know travis-ci currently is caching both the downloaded tarball and
> the built library, therefore my question: what will happen to
> mbedtls-2.5.1-*? Will that be wiped after some time? Or do we need to
> wipe the cache manually?
>
> Cheers,
>
> --
> Antonio Quartulli
>
>
<div dir="auto">Someone who has admin rights, can purge the cache</div><br><div class="gmail_quote"><div dir="ltr">On Sun, Jun 24, 2018, 8:28 AM Antonio Quartulli &lt;a@unstable.cc&gt; wrote:<br></div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">Hi,<br>
<br>
On 28/05/18 03:00, Ilya Shipitsin wrote:<br>
&gt; -    - MBEDTLS_VERSION=&quot;2.5.1&quot;<br>
&gt; +    - MBEDTLS_VERSION=&quot;2.8.0&quot;<br>
<br>
I know travis-ci currently is caching both the downloaded tarball and<br>
the built library, therefore my question: what will happen to<br>
mbedtls-2.5.1-*? Will that be wiped after some time? Or do we need to<br>
wipe the cache manually?<br>
<br>
Cheers,<br>
<br>
-- <br>
Antonio Quartulli<br>
<br>
</blockquote></div>
------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
Steffan Karger June 29, 2018, 8:47 a.m. | #5
On 24-06-18 06:03, Илья Шипицин wrote:
> Someone who has admin rights, can purge the cache

Done.  As this is very easy to do, I'm fine with doing this manually
every now and then after we change our dependency versions.

-Steffan

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot

Patch

diff --git a/.travis.yml b/.travis.yml
index 51645924..216f0a04 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -5,9 +5,6 @@  os: linux
 
 language: c
 
-compiler:
-  - gcc
-
 env:
   global:
     - JOBS=3
@@ -15,10 +12,10 @@  env:
     - TAP_WINDOWS_VERSION=9.21.2
     - LZO_VERSION=2.10
     - PKCS11_HELPER_VERSION=1.22
-    - MBEDTLS_VERSION="2.5.1"
+    - MBEDTLS_VERSION="2.8.0"
     - MBEDTLS_CFLAGS="-I${PREFIX}/include"
     - MBEDTLS_LIBS="-L${PREFIX}/lib -lmbedtls -lmbedx509 -lmbedcrypto"
-    - OPENSSL_VERSION="1.0.2l"
+    - OPENSSL_VERSION="1.0.2o"
     - OPENSSL_CFLAGS="-I${PREFIX}/include"
     - OPENSSL_LIBS="-L${PREFIX}/lib -lssl -lcrypto"
     # The next declaration is the encrypted COVERITY_SCAN_TOKEN, created
@@ -30,13 +27,16 @@  matrix:
     - env: SSLLIB="openssl" RUN_COVERITY="1"
       os: linux
       compiler: gcc
-    - env: SSLLIB="openssl" OPENSSL_VERSION="1.1.0f"
+    - env: SSLLIB="openssl" OPENSSL_VERSION="1.0.1u"
+      os: linux
+      compiler: gcc
+    - env: SSLLIB="openssl" OPENSSL_VERSION="1.1.0h"
       os: linux
       compiler: gcc
     - env: SSLLIB="openssl" CFLAGS="-fsanitize=address"
       os: linux
       compiler: clang
-    - env: SSLLIB="openssl" OPENSSL_VERSION="1.1.0f"
+    - env: SSLLIB="openssl" OPENSSL_VERSION="1.1.0h"
       os: linux
       compiler: clang
     - env: SSLLIB="mbedtls"
@@ -65,11 +65,10 @@  matrix:
     - env: SSLLIB="openssl" EXTRA_CONFIG="--enable-small"
       os: linux
       compiler: clang
-  exclude:
-    - compiler: gcc
 
 addons:
   apt:
+    update: true
     packages:
       - liblzo2-dev
       - libpam0g-dev